local assets=
{
	Asset("ANIM", "anim/whitegem.zip"),
    Asset("ATLAS", "images/inventoryimages/whitegem.xml"),
	Asset("IMAGE", "images/inventoryimages/whitegem.tex"),
}

local prefabs = 
{

}	




local function fn(Sim)
    
    local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()

	inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)
   
    anim:SetBank("whitegem")
    anim:SetBuild("whitegem")
    anim:PlayAnimation("idle")
    
      inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    
	

	inst.entity:SetPristine()




    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "whitegem"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/whitegem.xml"

    inst:AddComponent("inspectable")
    
    inst:AddComponent("stackable")





    
    return inst
end

return Prefab( "common/inventory/whitegem", fn, assets)
